/*  Nom du projet : LED_BP
    Date de test : Juin 2020
    mikroC PRO for PIC v 7.5.0
    Q 8Mhz
*/

void main() {
  PORTD = 0;                 // Initialize PORTD
  TRISD = 0b01000000;        // Configure D6 en entrée et les autres en sorties

  while(1) {
  if (PORTD.F6 = 1){
    PORTD.F7 =  ~PORTD.F7;   // toggle D7
    //PORTD =  ~PORTD;         // toggle PORTD
    delay_ms(1000);          // one second delay
    }
    else
    PORTD.F7 = 0;
  }
}